import React, { ComponentPropsWithoutRef } from 'react';
import { Sizes, Variant } from '../../@types';
export declare enum RoundedType {
    'rounded' = 0,
    'circular' = 1
}
export declare enum IconPos {
    'leading' = 0,
    'trailing' = 1
}
export interface IButtonProps extends ComponentPropsWithoutRef<'button'> {
    /**
     * Defines the dimensions of the button
     */
    size?: keyof typeof Sizes;
    /**
     * Defines if the button is disabled
     */
    disabled?: boolean;
    /**
     * Defines the background & text color of the button
     */
    variant?: keyof typeof Variant;
    /**
     * Defines the corner variant of the button
     */
    rounded?: keyof typeof RoundedType;
    /**
     * Defines icon position inside button
     */
    iconPos?: keyof typeof IconPos;
    /**
     * Defines icon
     */
    iconType?: string;
    /**
     * Defines the icon style
     */
    iconClass?: string;
    /**
     * Defines the icon size, it overrides icon size
     * based on the size prop
     */
    iconSize?: number;
}
export declare const buttonStyles: any;
declare const Button: React.ForwardRefExoticComponent<IButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default Button;
//# sourceMappingURL=Button.d.ts.map