import React from 'react';
import { IDialogProps } from '../dialog/Dialog';
export interface IFormDialogProps extends IDialogProps {
    /**
     * Defines id of the related form
     */
    formId: string;
    /**
     * Defines the hidden state of secondary button
     */
    hideSecondaryBtn?: boolean;
    /**
     * Defines icon element class.
     */
    iconClass?: string;
    /**
     * Deines icon size in number.
     */
    iconSize?: number;
    /**
     * Defines icon type. Icons path name.
     */
    iconType?: string;
    /**
     * Defines disabled state of primary button
     */
    primaryBtnDisabled?: boolean;
    /**
     * Defines primary button text
     */
    primaryBtnText?: string;
    /**
     * Defines secondary button text
     */
    secondaryBtnText?: string;
    /**
     * Defines the title of the dialog.
     */
    title: React.ReactNode;
}
declare const FormDialog: ({ children, formId, hideSecondaryBtn, iconClass, iconSize, iconType, onClose, primaryBtnDisabled, primaryBtnText, secondaryBtnText, title, ...other }: IFormDialogProps) => JSX.Element;
export default FormDialog;
//# sourceMappingURL=FormDialog.d.ts.map