/// <reference types="react" />
import { LottieProps } from 'react-lottie';
export interface ILottieLoaderProps extends Partial<LottieProps> {
    /**
     * Defines the lottie animation data to render
     */
    lottieType: string;
}
/**
 *
 * @returns Lottie animation and it will fit into
 * container dimensions
 * for example:
 * <div className="h-[100px] w-[100px]">
 * 		<LottieLoader />
 * </div>
 */
export default function LottieLoader({ lottieType, options, ...other }: ILottieLoaderProps): JSX.Element;
//# sourceMappingURL=LottieLoader.d.ts.map